
module "compute" {
  source = "terraform-aws-modules/compute/aws"
  version = "5.3.0"
  admin_password = var.admin_password
  admin_username = var.admin_username
  allocation_method = var.allocation_method
  as_platform_fault_domain_count = var.as_platform_fault_domain_count
  as_platform_update_domain_count = var.as_platform_update_domain_count
  availability_set_enabled = var.availability_set_enabled
  boot_diagnostics = var.boot_diagnostics
  boot_diagnostics_sa_type = var.boot_diagnostics_sa_type
  custom_data = var.custom_data
  data_disk_size_gb = var.data_disk_size_gb
  data_sa_type = var.data_sa_type
  delete_data_disks_on_termination = var.delete_data_disks_on_termination
  delete_os_disk_on_termination = var.delete_os_disk_on_termination
  enable_accelerated_networking = var.enable_accelerated_networking
  enable_ip_forwarding = var.enable_ip_forwarding
  enable_ssh_key = var.enable_ssh_key
  external_boot_diagnostics_storage = var.external_boot_diagnostics_storage
  extra_disks = var.extra_disks
  extra_ssh_keys = var.extra_ssh_keys
  identity_ids = var.identity_ids
  identity_type = var.identity_type
  is_marketplace_image = var.is_marketplace_image
  is_windows_image = var.is_windows_image
  license_type = var.license_type
  location = var.location
  managed_data_disk_encryption_set_id = var.managed_data_disk_encryption_set_id
  name_template_availability_set = var.name_template_availability_set
  name_template_data_disk = var.name_template_data_disk
  name_template_extra_disk = var.name_template_extra_disk
  name_template_network_interface = var.name_template_network_interface
  name_template_network_security_group = var.name_template_network_security_group
  name_template_public_ip = var.name_template_public_ip
  name_template_vm_linux = var.name_template_vm_linux
  name_template_vm_linux_os_disk = var.name_template_vm_linux_os_disk
  name_template_vm_windows = var.name_template_vm_windows
  name_template_vm_windows_os_disk = var.name_template_vm_windows_os_disk
  nb_data_disk = var.nb_data_disk
  nb_instances = var.nb_instances
  nb_public_ip = var.nb_public_ip
  nested_data_disks = var.nested_data_disks
  network_security_group = var.network_security_group
  os_profile_secrets = var.os_profile_secrets
  public_ip_dns = var.public_ip_dns
  public_ip_sku = var.public_ip_sku
  remote_port = var.remote_port
  resource_group_name = var.resource_group_name
  source_address_prefixes = var.source_address_prefixes
  ssh_key = var.ssh_key
  ssh_key_values = var.ssh_key_values
  storage_account_type = var.storage_account_type
  storage_os_disk_size_gb = var.storage_os_disk_size_gb
  tags = var.tags
  tracing_tags_enabled = var.tracing_tags_enabled
  tracing_tags_prefix = var.tracing_tags_prefix
  vm_extension = var.vm_extension
  vm_extensions = var.vm_extensions
  vm_hostname = var.vm_hostname
  vm_os_id = var.vm_os_id
  vm_os_offer = var.vm_os_offer
  vm_os_publisher = var.vm_os_publisher
  vm_os_simple = var.vm_os_simple
  vm_os_sku = var.vm_os_sku
  vm_os_version = var.vm_os_version
  vm_size = var.vm_size
  vnet_subnet_id = var.vnet_subnet_id
  zone = var.zone
}
